Why can’t you download ruby’s source package?

  question, ruby

Searching for binary rubies, this might take some time.
No binary rubies available for: ubuntu/14.04/i386/ruby-2.1.1.
Continuing with compilation. Please read ‘rvm help mount’ to get more information on binary rubies.
Checking requirements for ubuntu.
Requirements installation successful.
Installing Ruby from source to: /home/frozen/.rvm/rubies/ruby-2.1.1, this may take a while depending on your cpu(s) …
ruby-2.1.1 – #downloading ruby-2.1.1, this may take a while depending on your connection …
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 –:–:– –:–:– –:–:– 0Warning: Failed to create the file ruby-2.1.1.tar.bz2.part: Permission denied
0 11.4M 0 3030 0 0 9462 0 0:21:07 –:–:– 0:21:07 9468
curl: (23) Failed writing body (0 ! = 3030)
There was an error(23).
Checking fallback:http://ftp.ruby-lang.org/pub/ruby/2.1/ruby-2.1.1.tar.bz2
% Total % Received % Xferd Average Speed Time Time Time Current
Dload Upload Total Spent Left Speed
0 0 0 0 0 0 0 0 –:–:– –:–:– –:–:– 0Warning: Failed to create the file ruby-2.1.1.tar.bz2.part: Permission denied
0 11.4M 0 3237 0 0 7650 0 0:26:07 –:–:– 0:26:07 7670
curl: (23) Failed writing body (0 ! = 3237)
There was an error(23).
Failed download
There has been an error fetching the ruby interpreter. Halting the installation.

Note the error in curl download:Permission denied. You (or your program) are trying to download files to places that do not have permission to create files.